%global modulename object-copy

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-object-copy
Version:        0.1.0
Release:        1%{?dist}
Summary:        Copy static properties, prototype properties, and descriptors from one object to another.

License:        MIT
URL:            https://github.com/jonschlinkert/object-copy
Source0:        https://registry.npmjs.org/object-copy/-/object-copy-0.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(copy-descriptor) >= 0.1.0 with npmlib(copy-descriptor) < 0.2.0))
BuildRequires:  ((npmlib(define-property) >= 0.2.5 with npmlib(define-property) < 0.3.0))
BuildRequires:  ((npmlib(kind-of) >= 3.0.3 with npmlib(kind-of) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Copy static properties, prototype properties, and descriptors from one object to another.

%package 0.1.0
Summary:        Copy static properties, prototype properties, and descriptors from one object to another.


%description 0.1.0
Copy static properties, prototype properties, and descriptors from one object to another.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.1.0
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 0.1.0-1
- Package automatically generated by npm2srpm
